Skip to main content

List Documents

GET 

/v1/merchants/:merchant_id/documents

Retrieve all documents for a merchant

Request​

Path Parameters

    merchant_id uuidrequired
    Example: 82ce962d-a4b0-4ec8-9955-b6e14c4f11e9
    type DocumentType

    Possible values: [activity_license, bank_iban_certificate, commercial_registration, company_address, freelance_certificate, investment_license, official_letter, owner_address, owner_id, power_of_attorney, signatory_address, signatory_id, vat_certificate, memorandum_of_association, other]

Responses​

Successful response

Schema

    documents

    object[]

  • Array [

  • id uuid
    type DocumentType (string)

    Possible values: [activity_license, bank_iban_certificate, commercial_registration, company_address, freelance_certificate, investment_license, official_letter, owner_address, owner_id, power_of_attorney, signatory_address, signatory_id, vat_certificate, memorandum_of_association, other]

    info

    object

    oneOf

    Activity License. Needed when the activity in CR requires one.

    number string

    Possible values: <= 255 characters

    Activity license number.

    file_uploaded boolean
  • ]

  • meta

    object

    current_page integer
    next_page integer
    prev_page integer
    total_pages integer
    total_count integer
Loading...